gi-gdk-3.0.28: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Gdk.Structs.EventVisibility

Contents

- Exported types
- Methods
- Properties
  - sendEvent
  - state
  - type
  - window

Description

Generated when the window visibility status has changed.

Synopsis

- newtype EventVisibility = EventVisibility (ManagedPtr EventVisibility)
- newZeroEventVisibility :: MonadIO m => m EventVisibility
- getEventVisibilitySendEvent :: MonadIO m => EventVisibility -> m Int8
- setEventVisibilitySendEvent :: MonadIO m => EventVisibility -> Int8 -> m ()
- getEventVisibilityState :: MonadIO m => EventVisibility -> m VisibilityState
- setEventVisibilityState :: MonadIO m => EventVisibility -> VisibilityState -> m ()
- getEventVisibilityType :: MonadIO m => EventVisibility -> m EventType
- setEventVisibilityType :: MonadIO m => EventVisibility -> EventType -> m ()
- clearEventVisibilityWindow :: MonadIO m => EventVisibility -> m ()
- getEventVisibilityWindow :: MonadIO m => EventVisibility -> m (Maybe Window)
- setEventVisibilityWindow :: MonadIO m => EventVisibility -> Ptr Window -> m ()

# Exported types

newtype EventVisibility Source #

Memory-managed wrapper type.

Constructors

EventVisibility (ManagedPtr EventVisibility) |

#### Instances

Instances details

Eq EventVisibility Source # |
Instance details Defined in GI.Gdk.Structs.EventVisibility Methods (==) :: EventVisibility -> EventVisibility -> Bool Source # (/=) :: EventVisibility -> EventVisibility -> Bool Source #
BoxedPtr EventVisibility Source # |
Instance details Defined in GI.Gdk.Structs.EventVisibility Methods boxedPtrCopy :: EventVisibility -> IO EventVisibility Source # boxedPtrFree :: EventVisibility -> IO () Source #
CallocPtr EventVisibility Source # |
Instance details Defined in GI.Gdk.Structs.EventVisibility Methods boxedPtrCalloc :: IO (Ptr EventVisibility) Source #
ManagedPtrNewtype EventVisibility Source # |
Instance details Defined in GI.Gdk.Structs.EventVisibility Methods toManagedPtr :: EventVisibility -> ManagedPtr EventVisibility Source #
tag ~ 'AttrSet => Constructible EventVisibility tag Source # |
Instance details Defined in GI.Gdk.Structs.EventVisibility Methods new :: MonadIO m => (ManagedPtr EventVisibility -> EventVisibility) -> [AttrOp EventVisibility tag] -> m EventVisibility Source #

newZeroEventVisibility :: MonadIO m => m EventVisibility Source #

Construct a `EventVisibility` struct initialized to zero.

# Methods

# Properties

## sendEvent

`True` if the event was sent explicitly.

getEventVisibilitySendEvent :: MonadIO m => EventVisibility -> m Int8 Source #

Get the value of the “`send_event`” field. When overloading is enabled, this is equivalent to

    get eventVisibility #sendEvent

setEventVisibilitySendEvent :: MonadIO m => EventVisibility -> Int8 -> m () Source #

Set the value of the “`send_event`” field. When overloading is enabled, this is equivalent to

    set eventVisibility [ #sendEvent := value ]

## state

the new visibility state (`VisibilityStateFullyObscured`, `VisibilityStatePartial` or `VisibilityStateUnobscured`).

getEventVisibilityState :: MonadIO m => EventVisibility -> m VisibilityState Source #

Get the value of the “`state`” field. When overloading is enabled, this is equivalent to

    get eventVisibility #state

setEventVisibilityState :: MonadIO m => EventVisibility -> VisibilityState -> m () Source #

Set the value of the “`state`” field. When overloading is enabled, this is equivalent to

    set eventVisibility [ #state := value ]

## type

the type of the event (`EventTypeVisibilityNotify`).

getEventVisibilityType :: MonadIO m => EventVisibility -> m EventType Source #

Get the value of the “`type`” field. When overloading is enabled, this is equivalent to

    get eventVisibility #type

setEventVisibilityType :: MonadIO m => EventVisibility -> EventType -> m () Source #

Set the value of the “`type`” field. When overloading is enabled, this is equivalent to

    set eventVisibility [ #type := value ]

## window

the window which received the event.

clearEventVisibilityWindow :: MonadIO m => EventVisibility -> m () Source #

Set the value of the “`window`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #window

getEventVisibilityWindow :: MonadIO m => EventVisibility -> m (Maybe Window) Source #

Get the value of the “`window`” field. When overloading is enabled, this is equivalent to

    get eventVisibility #window

setEventVisibilityWindow :: MonadIO m => EventVisibility -> Ptr Window -> m () Source #

Set the value of the “`window`” field. When overloading is enabled, this is equivalent to

    set eventVisibility [ #window := value ]